net.sourceforge.pmd.lang

## Interface TokenManager

- All Known Implementing Classes:
    CppTokenManager, JavaTokenManager, JspTokenManager

      public interface TokenManager

  Common interface for interacting with parser Token Managers.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getNextToken()`
    `void` | `setFileName(String fileName)`

- - ### Method Detail

    - #### getNextToken

          Object getNextToken()

    - #### setFileName

          void setFileName(String fileName)

Copyright © 2002-2013 InfoEther. All Rights Reserved.